<?php $__env->startSection('styles'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="nk-content ">
        <div class="container-fluid">
            <div class="nk-content-inner">
                <div class="nk-content-body">
                    <div class="nk-block-head nk-block-head-sm">
                        <div class="nk-block-between">
                            <div class="nk-block-head-content">
                                <h3 class="nk-block-title page-title">Documentos</h3>
                            </div><!-- .nk-block-head-content -->
                            <div class="toggle-wrap nk-block-tools-toggle">
                                <a href="#" class="btn btn-icon btn-trigger toggle-expand mr-n1"
                                    data-target="pageMenu"><em class="icon ni ni-menu-alt-r"></em></a>
                                <div class="toggle-expand-content" data-content="pageMenu">
                                    <ul class="nk-block-tools g-3">
                                        <li class="nk-block-tools-opt">
                                            <a href="<?php echo e(url('/documentos/nuevo-documento')); ?>" class="btn btn-primary">
                                                <em class="icon ni ni-plus"></em>
                                                <span>Nuevo Documento</span>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div><!-- .nk-block-between -->
                    </div><!-- .nk-block-head -->

                    <div class="card card-preview">
                        <div class="card-inner">

                            <table class="datatable-init table">
                                <thead>
                                    <tr>
                                        <th width="30px">#</th>
                                        <th>Archivo</th>
                                        <th>Tamaño</th>
                                        <th width="30px">¿Firmado?</th>
                                        <th>Usuarios Asignados</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><?php echo e($loop->iteration); ?></td>
                                            <td>
                                                <?php if($item->firmado == 'No'): ?>
                                                    <a href="<?php echo e(asset($item->url_archivo)); ?>" target="_blank">
                                                        <?php echo e($item->archivo); ?>

                                                    </a>
                                                <?php else: ?>
                                                    <a href="<?php echo e(asset($item->archivo_firmado)); ?>" target="_blank">
                                                        <?php echo e($item->archivo); ?>

                                                    </a>
                                                <?php endif; ?>

                                            </td>
                                            <td><?php echo e($item->tamano); ?> bytes</td>
                                            <td><?php echo e($item->firmado); ?></td>
                                            <td>
                                                <?php $__currentLoopData = $item->asigndocumentos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $dato): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php if($dato->name_user): ?>
                                                    <span class="badge badge-secondary"><?php echo e($dato->name_user); ?></span>
                                                <?php else: ?>
                                                    <span class="badge badge-secondary"><?php echo e($dato->email_destinatario); ?></span>
                                                <?php endif; ?>

                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </td>
                                            <td>
                                                <div class="dropdown">
                                                    <a href="#" class="btn btn-primary btn-sm" data-toggle="dropdown"
                                                        aria-expanded="false"><span>Acciones</span><em
                                                            class="icon ni ni-chevron-down"></em></a>
                                                    <div class="dropdown-menu dropdown-menu-right dropdown-menu-auto mt-1"
                                                        style="">
                                                        <ul class="link-list-plain">
                                                            <?php if($item->firmado == 'No'): ?>
                                                                <li>
                                                                    <a
                                                                        href="<?php echo e(url('/documentos/' . $item->id . '/firmar-documento')); ?>">
                                                                        <em class="icon ni ni-pen2"></em>
                                                                        Firmar
                                                                    </a>
                                                                </li>
                                                            <?php endif; ?>
                                                            <li><a
                                                                    href="<?php echo e(url('/documentos/' . $item->id . '/asignar-documento')); ?>">
                                                                    <em class="icon ni ni-user-add-fill"></em>
                                                                    Asignar
                                                                </a>
                                                            </li>
                                                            <?php if(Auth::user()->rol->name == 'Administrador'): ?>
                                                            <li>
                                                                <form id="formDelete" action="<?php echo e(url('/documentos/' . $item->id . '/eliminar-documento')); ?>" method="POST">
                                                                    <?php echo csrf_field(); ?>
                                                                    <?php echo method_field('DELETE'); ?>
                                                                    <a href="javascript:void(0);" class="delete-record">
                                                                        <em class="icon ni ni-trash-fill"></em>
                                                                        Eliminar
                                                                    </a>
                                                                </form>
                                                            </li>
                                                            <?php endif; ?>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div><!-- .card-preview -->
                </div> <!-- nk-block -->
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script>
        (function(NioApp, $) {
            'use strict';

            <?php echo $__env->make('layouts.alerts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            $('.datatable-init tbody').on('click', '.delete-record', function() {
                // let dataid = $(this).data('id');
                // let baseUrl = '<?php echo e(url("/documentos")); ?>/' + dataid +
                //     '/eliminar-documento';
                Swal.fire({
                    title: '¿Está Seguro de Eliminar el Documento?',
                    text: "Si tiene usuarios asignados, estos no podrán acceder a el en el futuro!",
                    icon: 'warning',
                    showCancelButton: true,
                    confirmButtonText: 'Si, estoy seguro!'
                }).then((result) => {
                    if (result.value) {
                        $('#formDelete').submit();
                    }
                });
            });
        })(NioApp, jQuery);
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\GestionDocumentos\resources\views/documentos/index.blade.php ENDPATH**/ ?>